using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;
using Ion.Sdk.Idi;

namespace Ion.Sdk.DemoApp.Views.Converters
{
    public sealed class StructureObjectHasChildrenToBooleanConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            switch (value)
            {
                case StructureObject structureObject:
                    return (structureObject.HasChildren || structureObject.HasTests || structureObject.HasParameters);
                case AutoSequence autoSequence:
                    return autoSequence.Steps.Any();
                case PredefinedInspection inspection:
                    return inspection.Children.Any();
            }

            return false;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
